%define debug_package	%{nil}

Name:		hyena
License:	MIT
Group:		System/Libraries 
Version:	0.5
Release:	%mkrel 19
Summary:	Library for .NET applications
Url:		https://wiki.gnome.org/Hyena/
Source:		https://download.gnome.org/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM coolo@opensuse.org - broken Makefile syntax
Patch0:		fix-makefile.diff
#Patch1:		fix-build.patch
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	mono-basic
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(nunit)
BuildRequires:	perl(XML::Parser)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	pkgconfig(gapi-2.0)
Requires:	mono-core
Requires:	gtk-sharp2

%description
Hyena is a .NET library that powers Banshee and PDF Mod, among others.

%prep
%setup -q
%autopatch -p1

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac
sed -i "s#mono/2.0#mono/4.5#g" configure

%build
%configure
%__make

%install
%make_install

%files
%doc NEWS README COPYING
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5-19.mga10
+ Revision: 2213468
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.5-18.mga9
+ Revision: 1838782
- Mageia 9 Mass Rebuild
+ tv <tv>
- rebuild for new mono

* Sun Feb 16 2020 umeabot <umeabot> 0.5-16.mga8
+ Revision: 1536340
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 16 2019 tv <tv> 0.5-15.mga8
+ Revision: 1454097
- fix build by removing patch 1
+ daviddavid <daviddavid>
- fix dependency (mono to mono-core)

* Sun Sep 23 2018 umeabot <umeabot> 0.5-14.mga7
+ Revision: 1298237
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Fri Dec 04 2015 neoclust <neoclust> 0.5-12.mga6
+ Revision: 908083
- Fix build with mono4

* Sun Oct 25 2015 daviddavid <daviddavid> 0.5-11.mga6
+ Revision: 895202
- remove empty lang files to fix build with latest rpm
- disable debug package

* Wed Oct 15 2014 umeabot <umeabot> 0.5-10.mga5
+ Revision: 750330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-9.mga5
+ Revision: 680337
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 pterjan <pterjan> 0.5-8.mga4
+ Revision: 563870
- fix build
+ ovitters <ovitters>
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 0.5-6.mga4
+ Revision: 505908
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5-5.mga3
+ Revision: 353807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 malo <malo> 0.5-4.mga3
+ Revision: 275846
- fix url
- add back internationalization

* Tue Jun 26 2012 malo <malo> 0.5-3.mga3
+ Revision: 264050
- spec clean-up after import from Mandriva (patch by Ezim)
- import from Mandriva


* Wed Dec 14 2011 Götz Waschk <waschk@mandriva.org> 0.5-3mdv2012.0
+ Revision: 740996
- rebuild for gtk+ packaging breakage

* Mon Oct 31 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.5-2
+ Revision: 708008
- rpmlint fixes
- require mono fix

* Mon Oct 31 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.5-1
+ Revision: 708005
- imported package hyena

